package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * working_hours
 * @author 
 */
public class WorkingHours implements Serializable {
    private Integer id;

    /**
     * 名称
     */
    private String name;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 开始时间
     */
    private String start;

    /**
     * 休息开始时间
     */
    private String restStart;

    /**
     * 休息结束时间
     */
    private String restEnd;

    /**
     * 结束时间
     */
    private String end;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最小公出时长
     */
    private Double minHours;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getStart() {
        return start;
    }

    public void setStart(String start) {
        this.start = start;
    }

    public String getRestStart() {
        return restStart;
    }

    public void setRestStart(String restStart) {
        this.restStart = restStart;
    }

    public String getRestEnd() {
        return restEnd;
    }

    public void setRestEnd(String restEnd) {
        this.restEnd = restEnd;
    }

    public String getEnd() {
        return end;
    }

    public void setEnd(String end) {
        this.end = end;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Double getMinHours() {
        return minHours;
    }

    public void setMinHours(Double minHours) {
        this.minHours = minHours;
    }
}